Show / Hide Table of Contents

# Class MessageDeleteAuditLogData

Contains a piece of audit log data related to message deletion(s).

##### Inheritance

System.Object
MessageDeleteAuditLogData

##### Implements

IAuditLogData

##### Inherited Members

System.Object.ToString()
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: Discord.Rest

###### Assembly: Discord.Net.Rest.dll

##### Syntax

    public class MessageDeleteAuditLogData : IAuditLogData

### Properties

| Improve this Doc View Source

#### AuthorId

Gets the author of the messages that were deleted.

##### Declaration

    public ulong AuthorId { get; }

##### Property Value

Type | Description
--- | ---
System.UInt64 | A System.UInt64 representing the snowflake identifier for the user that created the deleted messages.

| Improve this Doc View Source

#### ChannelId

Gets the ID of the channel that the messages were deleted from.

##### Declaration

    public ulong ChannelId { get; }

##### Property Value

Type | Description
--- | ---
System.UInt64 | A System.UInt64 representing the snowflake identifier for the channel that the messages were deleted from.

| Improve this Doc View Source

#### MessageCount

Gets the number of messages that were deleted.

##### Declaration

    public int MessageCount { get; }

##### Property Value

Type | Description
--- | ---
System.Int32 | An System.Int32 representing the number of messages that were deleted from the channel.

### Implements

IAuditLogData